Modify

Opened 10 years ago

Closed 10 years ago

Last modified 5 years ago

#2260 closed defect (fixed)

mastertickets.web_ui not being loaded, ticket headers not linkified

Reported by: Danny Owned by: Noah Kantrowitz
Priority: normal Component: MasterTicketsPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.11

Description

While examining an issue where the ticket header's for blocking/blocked by were not getting linkified, I found the follow message in the trac.log: I believe these issues are related, as without the web_ui, there is no opporuntity to link the references up ;). the module 'context' appears to be referring to util.py where it is attempted to be imported on line 2. "from trac.context import ResourceNotFound".

Apparently the 'trac.context' was changed to 'trac.resource'. Patch follows, its a one-liner ;).

2007-12-03 16:16:56,798 Trac[__init__] DEBUG: Loading mastertickets.web_ui from /home/lendor/python/lib/python2.4/site-packages/TracMasterTickets-2.1.1-py2.4.egg
2007-12-03 16:16:56,800 Trac[__init__] ERROR: Skipping "mastertickets.web_ui = mastertickets.web_ui": (can't import "No module named context")
2007-12-03 16:16:56,800 Trac[__init__] DEBUG: Loading mastertickets.api from /home/lendor/python/lib/python2.4/site-packages/TracMasterTickets-2.1.1-py2.4.egg

My trac version is revision 6265:

Path: .
URL: https://svn.edgewall.org/repos/trac/trunk
Repository Root: https://svn.edgewall.org/repos/trac
Repository UUID: af82e41b-90c4-0310-8c96-b1721e28e2e2
Revision: 6265
Node Kind: directory
Schedule: normal
Last Changed Author: cboos
Last Changed Rev: 6265
Last Changed Date: 2007-11-30 11:13:45 -0500 (Fri, 30 Nov 2007)

Attachments (1)

util.py.r2846.diff (315 bytes) - added by Danny 10 years ago.
patch of util.py renames trac.context -> trac.resource.

Download all attachments as: .zip

Change History (3)

Changed 10 years ago by Danny

Attachment: util.py.r2846.diff added

patch of util.py renames trac.context -> trac.resource.

comment:1 Changed 10 years ago by Noah Kantrowitz

Resolution: fixed
Status: newclosed

(In [2924]) Module rename in Trac. (closes #2260)

comment:2 Changed 5 years ago by Ryan J Ollos

(In [12877]) Module rename in Trac. (closes #2260)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Noah Kantrowitz.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.